/*
 * Xchrom.h -- a CHROMACHRON clock widget. public header.
 * Copyright (c) Olaf Heimburger 1990
 * Last edited: Tue Nov  6 10:26:52 1990 by olafh (Olaf Heimburger) on GECKO
 */
#ifndef _XtXchrom_h
#define _XtXchrom_h

/* Parameters:

*/

#define XARCMAGIC    64
#define STARTCORNER  10
#define NUMFIELDS    12
#define SLICEANGLE   30
#define STARTDEGREES 105
#define MASKDEGREES  330
#define BACKCOLOR    NUMFIELDS
#define SLICEMASK    NUMFIELDS
#define MASKOFFSET   4
#define MINSIZE      120
#define MINWIDTH     MINSIZE
#define MINHEIGHT    MINSIZE

#ifndef XtDefaultForeground
#define XtDefaultForeground "Black"
#endif

#ifndef XtNstartOffset
#define XtNstartOffset  "startOffset"
#endif
#ifndef XtCStartOffset
#define XtCStartOffset  "StartOffset"
#endif
#ifndef XtNmaskOffset
#define XtNmaskOffset   "maskOffset"
#endif
#ifndef XtCMaskOffset
#define XtCMaskOffset   "MaskOffset"
#endif
#ifndef XtNtimeOffset
#define XtNtimeOffset   "timeOffset"
#endif
#ifndef XtCTimeOffset
#define XtCTimeOffset   "TimeOffset"
#endif
#ifndef XtNtwelveOClock
#define XtNtwelveOClock "twelveOClock"
#endif
#ifndef XtCTwelveOClock
#define XtCTwelveOClock "TwelveOClock"
#endif
#ifndef XtNoneOClock
#define XtNoneOClock    "oneOClock"
#endif
#ifndef XtCOneOClock
#define XtCOneOClock    "OneOClock"
#endif
#ifndef XtNtwoOClock
#define XtNtwoOClock    "twoOClock"
#endif
#ifndef XtCTwoOClock
#define XtCTwoOClock    "TwoOClock"
#endif
#ifndef XtNthreeOClock
#define XtNthreeOClock  "threeOClock"
#endif
#ifndef XtCThreeOClock
#define XtCThreeOClock  "ThreeOClock"
#endif
#ifndef XtNfourOClock
#define XtNfourOClock   "fourOClock"
#endif
#ifndef XtCFourOClock
#define XtCFourOClock   "FourOClock"
#endif
#ifndef XtNfiveOClock
#define XtNfiveOClock   "fiveOClock"
#endif
#ifndef XtCFiveOClock
#define XtCFiveOClock   "FiveOClock"
#endif
#ifndef XtNsixOClock
#define XtNsixOClock    "sixOClock"
#endif
#ifndef XtCSixOClock
#define XtCSixOClock    "SixOClock"
#endif
#ifndef XtNsevenOClock
#define XtNsevenOClock  "sevenOClock"
#endif
#ifndef XtCSevenOClock
#define XtCSevenOClock  "SevenOClock"
#endif
#ifndef XtNeightOClock
#define XtNeightOClock  "eightOClock"
#endif
#ifndef XtCEightOClock
#define XtCEightOClock  "EightOClock"
#endif
#ifndef XtNnineOClock
#define XtNnineOClock   "nineOClock"
#endif
#ifndef XtCNineOClock
#define XtCNineOClock   "NineOClock"
#endif
#ifndef XtNtenOClock
#define XtNtenOClock    "tenOClock"
#endif
#ifndef XtCTenOClock
#define XtCTenOClock    "TenOClock"
#endif
#ifndef XtNelevenOClock
#define XtNelevenOClock "elevenOClock"
#endif
#ifndef XtCElevenOClock
#define XtCElevenOClock "ElevenOClock"
#endif


typedef struct _XchromRec *XchromWidget;
typedef struct _XchromClassRec *XchromWidgetClass;

extern WidgetClass xchromWidgetClass;

#endif /* _XtXchrom_h */
